Bug 177112 - First Boot Date and Time Module error
First Boot Date and Time Module error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 08:15 EST by Scott Glaser
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-12 09:34:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen Shot of Error (40.44 KB, image/png)
2006-01-06 08:16 EST, Scott Glaser
no flags Details
Firstboot log (474 bytes, text/plain)
2006-01-12 05:53 EST, Robbie Barnett
no flags Details

  None (edit)
Description Scott Glaser 2006-01-06 08:15:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
During Firstboo the following error message was displayed.

Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 494, in loadModules
    vbox, pix, title = module.launch()
  File "/usr/share/firstboot/modules/date.py", line 77, in launch
    self.setupScreen()
  File "/usr/share/firstboot/modules/date.py", line 55, in setupScreen
    self.dateWindow = mainWindow.mainWindow (firstboot = True, showPages =
["datetime", "ntp"])
TypeError: __init__() got an unexpected keyword argument 'showPages'

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Conduct a netinstall via utilizing the boot.iso
2. Reboot after completing install.
3. During a window is displayed containing the error message.
  

Actual Results:  First Boot Error message is displayed.

Expected Results:  Liscense Agreement should have been displayed, and during the firstboot the Date and Time module should have been executed.

Additional info:
Comment 1 Scott Glaser 2006-01-06 08:16:32 EST
Created attachment 122870 [details]
Screen Shot of Error

Forgot to include this earlier, but this install was conducted in a VMware
session
Comment 2 Chris Lumens 2006-01-06 10:21:10 EST
What day's tree are you installing from?
Comment 3 Scott Glaser 2006-01-06 10:56:40 EST
Chris,

Sorry about the disconnect the boot.iso was from 2 January 2006.  I installed
the other day but did not get a chance to do the First Boot things until today.
Comment 4 Robbie Barnett 2006-01-12 05:53:42 EST
Created attachment 123106 [details]
Firstboot log
Comment 5 Robbie Barnett 2006-01-12 05:56:42 EST
I get this error when installing from development/i386 tree as of 10/01/06.

I was using NFS install from boot.iso

Note You need to log in before you can comment on or make changes to this bug.